Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.http11.upgrade
Class UpgradeNioProcessor

    java.lang.Object
      org.apache.coyote.http11.upgrade.UpgradeProcessor<NioChannel>
          org.apache.coyote.http11.upgrade.UpgradeNioProcessor

All Implemented Interfaces:
  Processor<NioChannel>

    public class UpgradeNioProcessor

extends UpgradeProcessor<NioChannel>

Field Summary

Fields inherited from class org.apache.coyote.http11.upgrade.UpgradeProcessor
`sm`

Constructor Summary
`UpgradeNioProcessor(SocketWrapper<NioChannel> wrapper, UpgradeInbound upgradeInbound, NioSelectorPool pool)`

Method Summary
`void` | `flush()`
`int` | `read()` This is always a blocking read of a single byte.
`int` | `read(boolean block, byte[] bytes, int off, int len)` Read up to len bytes from the input in either blocking or non-blocking mode (where non-blocking is supported).
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class org.apache.coyote.http11.upgrade.UpgradeProcessor
`asyncDispatch, asyncPostProcess, event, getExecutor, getRequest, getUpgradeInbound, isAsync, isComet, isUpgrade, process, recycle, setSslSupport, upgradeDispatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpgradeNioProcessor

    public UpgradeNioProcessor(SocketWrapper<NioChannel> wrapper,
                               UpgradeInbound upgradeInbound,
                               NioSelectorPool pool)

Method Detail

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in class `UpgradeProcessor<NioChannel>`
  Throws:
    `IOException`

### write

    public void write(int b)
               throws IOException

  Specified by:
    `write` in class `UpgradeProcessor<NioChannel>`
  Throws:
    `IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Specified by:
    `write` in class `UpgradeProcessor<NioChannel>`
  Throws:
    `IOException`

### read

    public int read()
             throws IOException

  Description copied from class: `UpgradeProcessor`
  This is always a blocking read of a single byte.

  Specified by:
    `read` in class `UpgradeProcessor<NioChannel>`
  Returns:
    The next byte or -1 if the end of the input is reached.
  Throws:
    `IOException` - If a problem occurs trying to read from the input

### read

    public int read(boolean block,
                    byte[] bytes,
                    int off,
                    int len)
             throws IOException

  Description copied from class: `UpgradeProcessor`
  Read up to len bytes from the input in either blocking or non-blocking mode (where non-blocking is supported). If the input does not support non-blocking reads, a blcoking read will be performed.

  Specified by:
    `read` in class `UpgradeProcessor<NioChannel>`
  Returns:
    The number of bytes read or -1 if the end of the input is reached. Non-blocking reads may return zero if no data is available. Blocking reads never return zero.
  Throws:
    `IOException` - If a problem occurs trying to read from the input

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.